Page 3 of 3 FirstFirst 123
Results 21 to 25 of 25

Thread: Ext JS 3.4.1 Available - Support only

  1. #21
    Sencha User
    Join Date
    Oct 2007
    Location
    Berlin, Germany
    Posts
    891
    Vote Rating
    12
      0  

    Default

    Quote Originally Posted by OraMartindale View Post
    The new Ext.define function is missing from the 3.4.1 ext-all.js and ext-all-debug.js files. Is this an oversight? Or is it expected that if we want that functionality we should use Sencha SDK/Sencha Cmd to build/compile?
    Have you taken a look at adapter\ext\ext-base.js aswell? it could be there as Ext.extend and override also reside there

  2. #22
    Ext JS Premium Member
    Join Date
    May 2008
    Posts
    429
    Vote Rating
    22
      0  

    Default

    Quote Originally Posted by dongryphon View Post
    Yes, we created this minimal subset of the class system to help migration from a 3.4.1 code base to a 4.x code base. This should allow folks to start making their code look like 4.x code without having to go 100% of the way in one step.

    As for issues, none have been reported. The Ext.define in 3.4.1 uses Ext.extend and Ext.override, so it is really just a thin wrapper over the 3.4.1 API methods everyone is using already.
    Hi Don,

    Turns out callParent has not been implemented. I posted in the premium forums but wonder if you can help with this? The first post of this thread says callParent has been implemented. Thanks

    http://www.sencha.com/forum/showthre...fine-for-3.4.1

  3. #23
    Sencha - Ext JS Dev Team dongryphon's Avatar
    Join Date
    Jul 2009
    Location
    Kansas
    Posts
    1,711
    Vote Rating
    245
      0  

    Default

    I will check but I believe that was fixed in the latest 3.4.1.1 that just went out today

    Please let me know if still have issues with 3.4.1.1 - http://www.sencha.com/forum/showthre...Public-Release!
    Don Griffin
    Director of Engineering - Frameworks (Ext JS / Sencha Touch)

    Check the docs. Learn how to (properly) report a framework issue and a Sencha Cmd issue

    "Use the source, Luke!"

  4. #24
    Sencha User Rocco's Avatar
    Join Date
    Nov 2007
    Location
    Phoenix, AZ
    Posts
    31
    Vote Rating
    0
      0  

    Default

    We are in the midst of upgrading from 3.4.0 to 3.4.1.1 and during testing I noticed that when hovering over a menu item's text, the mouse cursor is now the default instead of the pointer. I assume that this was introduced as part of the fix for EXTJSIII-48. (3.4.0 example vs. 3.4.1.1 example)

    This is also happening with menu icons and split buttons. Granted, it seems like a minor detail but I feel that it really affects the fit and finish of our application. For now I can fix this by adding the CSS rules below, but are there any plans for another 3.4.x release?

    Code:
    .x-btn-arrow,
    .x-menu-item-icon,
    .x-menu-item-text {
        cursor: pointer;
    }

  5. #25
    Sencha User
    Join Date
    Nov 2015
    Posts
    1
    Vote Rating
    0
      0  

    Default

    Hi I have a web application on Sencha currently using ExtJS 3.4 functionality using the Sencha Architect 3.2, want to port/Migrate some forms to ExtJS 5.0.What will be the changes required? they will be minor or Major ? Do I need to change whole structure to MVC ?Quick reply will be appreciated.

Page 3 of 3 FirstFirst 123

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •